Name:           dtkgui
Version:        5.6.30
Release:        %autorelease
Summary:        Deepin dtkgui
License:        LGPL-3.0-or-later
URL:            https://github.com/linuxdeepin/dtkgui
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake

BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Help)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}

BuildRequires:  cmake(DtkCore)
BuildRequires:  cmake(DtkBuildHelper)

BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  freeimage-devel
BuildRequires:  pkgconfig(libraw)
BuildRequires:  pkgconfig(x11)

BuildRequires:  doxygen

%description
Dtkgui is the GUI module for DDE look and feel.

%package        devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       dtkcommon-devel%{_isa}

%description    devel
Header files and libraries for %{name}.

%prep
%autosetup

%build
%cmake \
    -DBUILD_DOCS=OFF \
    -DDTK_DISABLE_LIBXDG=OFF \
%cmake_build

%install
%cmake_install

%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.5*
%{_libexecdir}/dtk5/DGui/

%files devel
%{_includedir}/dtk5/DGui/
%{_libdir}/pkgconfig/dtkgui*.pc
%{_libdir}/cmake/DtkGui/
%{_libdir}/lib%{name}.so
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_dtkgui.pri

%changelog
%autochangelog
